/**************************************************
* File: pallet_util.c - lxb utilities source file
*
*    This file is generated by the program lxb.
*
**************************************************/

/* include files */
#include <stdio.h>
#include <Xm/Xm.h>

#include "pallet_util.h"

/**************************************************
* Function: get_pixel
**************************************************/
Pixel
get_pixel(Widget w, char *resource_value)
{
	Colormap colormap;
	Boolean status;
	XColor exact, color;

	colormap = DefaultColormapOfScreen( DefaultScreenOfDisplay(XtDisplay(w)) );

	status = XAllocNamedColor( XtDisplay(w), colormap, resource_value, &color, &exact);

	if (status == 0){
		fprintf(stderr, "Unknown color: %s", resource_value);
		color.pixel = BlackPixelOfScreen( DefaultScreenOfDisplay(XtDisplay(w)) );
	};

	return (color.pixel);
}
/**************************************************
* Function: get_fontlist
**************************************************/
XmFontList
get_fontlist(Widget w, char *fontname)
{
	XFontStruct *font;
	XmFontList fontlist;

	font = XLoadQueryFont(XtDisplay(w), fontname);

	if (font == NULL){
		fprintf(stderr, "\tCould not load font: %s\n\n", fontname);
		fprintf(stderr, "\tUsing this system's default font instead.\n\n");
		font = XLoadQueryFont(XtDisplay(w), XtDefaultFont);
	};

	fontlist = XmFontListCreate(font, XmSTRING_DEFAULT_CHARSET);

	return (fontlist);
}
